Bug Hunting Session
Bug 95510 - FILEOPEN: SVG: stop-color and stop-opacity attributes aren't imported in lineargradients and radialgradients
Summary: FILEOPEN: SVG: stop-color and stop-opacity attributes aren't imported in line...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-01 23:24 UTC by Xisco Faulí
Modified: 2016-10-25 19:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
linearGradient (479 bytes, image/svg+xml)
2015-11-01 23:24 UTC, Xisco Faulí
Details
radialGradient (575 bytes, image/svg+xml)
2015-11-01 23:28 UTC, Xisco Faulí
Details
linearGradient2 (574 bytes, image/svg+xml)
2015-11-01 23:43 UTC, Xisco Faulí
Details
Stop color defined inside style (418 bytes, image/svg+xml)
2015-11-09 23:15 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2015-11-01 23:24:55 UTC
Created attachment 120186 [details]
linearGradient

Steps to reproduce:
1. Open attached documents.

Behavior: Rectangles are black

I'm opening this issue as a personal tracking as I'm working on fixing it
Comment 1 Xisco Faulí 2015-11-01 23:27:24 UTC
I'm assigning it to me
Comment 2 Xisco Faulí 2015-11-01 23:28:41 UTC
Created attachment 120187 [details]
radialGradient
Comment 3 Xisco Faulí 2015-11-01 23:43:47 UTC
Created attachment 120188 [details]
linearGradient2
Comment 4 Xisco Faulí 2015-11-02 16:40:37 UTC
Patch summitted to gerrit: https://gerrit.libreoffice.org/#/c/19731/
Comment 5 Commit Notification 2015-11-05 10:14:09 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c89ba1dedc511ec17df1e35f8e0696bc20121491

tdf#95510: SVG: Import stop-color and stop-opacity

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2015-11-09 23:15:33 UTC
Created attachment 120428 [details]
Stop color defined inside style

Regression introduced by c89ba1dedc511ec17df1e35f8e0696bc20121491
Comment 7 Xisco Faulí 2015-11-09 23:18:41 UTC
New patch summitted to gerrit to fix the problem when stop-color and stop-opacity are defined inside style:
https://gerrit.libreoffice.org/#/c/19866/
Comment 8 Commit Notification 2015-11-10 11:43:30 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=47b25a727938051f226b8a7ff1ff5f0768fb53f2

SVG: tdf#95510: stop-color and stop-opacity can be defined inside style too

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.